std::decimal::decimal32(3cxx)

NAME
std::decimal::decimal32 - 3.2.2 Class decimal32.

SYNOPSIS

#include <decimal>

  Public Types

typedef float __decfloat32 __attribute__((mode(SD)))

  Public Member Functions

decimal32 (__decfloat32 __z)
Conforming extension: Conversion from scalar decimal type.
decimal32 (decimal128 __d128)
decimal32 (decimal64 __d64)
decimal32 (double __r)
decimal32 (float __r)
decimal32 (int __z)
decimal32 (long __z)
decimal32 (long double __r)
decimal32 (long long __z)
decimal32 (unsigned int __z)
decimal32 (unsigned long __z)
decimal32 (unsigned long long __z)
__decfloat32 __getval (void)
void __setval (__decfloat32 __x)
operator long long () const
decimal32 & operator*= (decimal128 __rhs)
decimal32 & operator*= (decimal32 __rhs)
decimal32 & operator*= (decimal64 __rhs)
decimal32 & operator*= (int __rhs)
decimal32 & operator*= (long __rhs)
decimal32 & operator*= (long long __rhs)
decimal32 & operator*= (unsigned int __rhs)
decimal32 & operator*= (unsigned long __rhs)
decimal32 & operator*= (unsigned long long __rhs)
decimal32 & operator++ ()
decimal32 operator++ (int)
decimal32 & operator+= (decimal128 __rhs)
decimal32 & operator+= (decimal32 __rhs)
decimal32 & operator+= (decimal64 __rhs)
decimal32 & operator+= (int __rhs)
decimal32 & operator+= (long __rhs)
decimal32 & operator+= (long long __rhs)
decimal32 & operator+= (unsigned int __rhs)
decimal32 & operator+= (unsigned long __rhs)
decimal32 & operator+= (unsigned long long __rhs)
decimal32 & operator-- ()
decimal32 operator-- (int)
decimal32 & operator-= (decimal128 __rhs)
decimal32 & operator-= (decimal32 __rhs)
decimal32 & operator-= (decimal64 __rhs)
decimal32 & operator-= (int __rhs)
decimal32 & operator-= (long __rhs)
decimal32 & operator-= (long long __rhs)
decimal32 & operator-= (unsigned int __rhs)
decimal32 & operator-= (unsigned long __rhs)
decimal32 & operator-= (unsigned long long __rhs)
decimal32 & operator/= (decimal128 __rhs)
decimal32 & operator/= (decimal32 __rhs)
decimal32 & operator/= (decimal64 __rhs)
decimal32 & operator/= (int __rhs)
decimal32 & operator/= (long __rhs)
decimal32 & operator/= (long long __rhs)
decimal32 & operator/= (unsigned int __rhs)
decimal32 & operator/= (unsigned long __rhs)
decimal32 & operator/= (unsigned long long __rhs)

Detailed Description

3.2.2 Class decimal32.

Definition at line 227 of file decimal.

Member Typedef Documentation

  typedef float __decfloat32 std::decimal::decimal32::__attribute__((mode(SD)))

Definition at line 230 of file decimal.

Constructor & Destructor Documentation

  std::decimal::decimal32::decimal32 () [inline]

Definition at line 233 of file decimal.

  std::decimal::decimal32::decimal32 (float __r) [inline], [explicit]

Definition at line 238 of file decimal.

  std::decimal::decimal32::decimal32 (double __r) [inline], [explicit]

Definition at line 239 of file decimal.

  std::decimal::decimal32::decimal32 (long double __r) [inline], [explicit]

Definition at line 240 of file decimal.

  std::decimal::decimal32::decimal32 (int __z) [inline]

Definition at line 243 of file decimal.

  std::decimal::decimal32::decimal32 (unsigned int __z) [inline]

Definition at line 244 of file decimal.

  std::decimal::decimal32::decimal32 (long __z) [inline]

Definition at line 245 of file decimal.

  std::decimal::decimal32::decimal32 (unsigned long __z) [inline]

Definition at line 246 of file decimal.

  std::decimal::decimal32::decimal32 (long long __z) [inline]

Definition at line 247 of file decimal.

  std::decimal::decimal32::decimal32 (unsigned long long __z) [inline]

Definition at line 248 of file decimal.

  std::decimal::decimal32::decimal32 (__decfloat32 __z) [inline]

Conforming extension: Conversion from scalar decimal type.

Definition at line 251 of file decimal.

Member Function Documentation

  __decfloat32 std::decimal::decimal32::__getval (void) [inline]

Definition at line 308 of file decimal.

  void std::decimal::decimal32::__setval (__decfloat32 __x) [inline]

Definition at line 309 of file decimal.

  std::decimal::decimal32::operator long long () const [inline], [explicit]

Definition at line 256 of file decimal.

  decimal32 & std::decimal::decimal32::operator++ () [inline]

Definition at line 260 of file decimal.

  decimal32 std::decimal::decimal32::operator++ (int) [inline]

Definition at line 266 of file decimal.

  decimal32 & std::decimal::decimal32::operator-- () [inline]

Definition at line 273 of file decimal.

  decimal32 std::decimal::decimal32::operator-- (int) [inline]

Definition at line 279 of file decimal.

Author

Generated automatically by Doxygen for libstdc++ from the source code.